# Uses of Class
org.eclipse.swt.widgets.Text

Packages that use Text
Package
Description
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of Text in org.eclipse.jface.bindings.keys

Constructors in org.eclipse.jface.bindings.keys with parameters of type Text
Modifier
Constructor
Description
``
`KeySequenceText(Text wrappedText)`
Constructs an instance of `KeySequenceTextField` with the text field to use.

## Uses of Text in org.eclipse.jface.contentassist

Constructors in org.eclipse.jface.contentassist with parameters of type Text
Modifier
Constructor
Description
``
`TextContentAssistSubjectAdapter(Text text)`
Deprecated.
Creates a content assist subject control adapter for the given text widget.

## Uses of Text in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return Text
Modifier and Type
Method
Description
`protected Text`
InputDialog.`getText()`
Returns the text area.

## Uses of Text in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return Text
Modifier and Type
Method
Description
`protected Text`
StringFieldEditor.`createTextWidget(Composite parent)`
Create the text widget.
`protected Text`
StringFieldEditor.`getTextControl()`
Returns this field editor's text control.
`Text`
StringFieldEditor.`getTextControl(Composite parent)`
Returns this field editor's text control.

## Uses of Text in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type Text
Modifier and Type
Method
Description
`static void`
BidiUtils.`applyBidiProcessing(Text field, String handlingType)`
Applies bidi processing to the given text field.

## Uses of Text in org.eclipse.jface.viewers

Fields in org.eclipse.jface.viewers declared as Text
Modifier and Type
Field
Description
`protected Text`
TextCellEditor.`text`
The text control; initially `null`.

## Uses of Text in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type Text
Modifier and Type
Method
Description
`void`
TextActionHandler.`addText(Text textControl)`
Add a `Text` control to the handler so that the Cut, Copy, Paste, Delete, and Select All actions are redirected to it when active.
`void`
TextActionHandler.`removeText(Text textControl)`
Removes a `Text` control from the handler so that the Cut, Copy, Paste, Delete, and Select All actions are no longer redirected to it when active.

## Uses of Text in org.eclipse.ui.contentassist

Methods in org.eclipse.ui.contentassist with parameters of type Text
Modifier and Type
Method
Description
`static ContentAssistHandler`
ContentAssistHandler.`createHandlerForText(Text text, SubjectControlContentAssistant contentAssistant)`
Deprecated.
Creates a new `ContentAssistHandler` for the given `Text`.

## Uses of Text in org.eclipse.ui.dialogs

Fields in org.eclipse.ui.dialogs declared as Text
Modifier and Type
Field
Description
`protected Text`
FilteredTree.`filterText`
The filter text widget to be used by this tree.
Methods in org.eclipse.ui.dialogs that return Text
Modifier and Type
Method
Description
`protected Text`
AbstractElementListSelectionDialog.`createFilterText(Composite parent)`
Creates the filter text.
`protected Text`
FilteredTree.`doCreateFilterText(Composite parent)`
Creates the text control for entering the filter text.
`Text`
FilteredTree.`getFilterControl()`
Get the filter text for the receiver, if it was created.
Methods in org.eclipse.ui.dialogs with parameters of type Text
Modifier and Type
Method
Description
`protected IPath`
WizardDataTransferPage.`getPathFromText(Text textField)`
Get a path from the supplied text widget.

## Uses of Text in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return Text
Modifier and Type
Method
Description
`Text`
FormToolkit.`createText(Composite parent, String value)`
Creates a text as a part of the form.
`Text`
FormToolkit.`createText(Composite parent, String value, int style)`
Creates a text as a part of the form.